﻿@model BeerOverFlow.Models.BeerViewModel

@{
    ViewData["Title"] = "CreateBeer";
}

<h1>CreateBeer</h1>

<h4>BeerViewModel</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="CreateBeer">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="BreweryName" class="control-label"></label>
                <select asp-for="BreweryName" class="form-control" asp-items="@ViewBag.BreweryList"></select>
                <span asp-validation-for="BreweryName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="BeerName" class="control-label"></label>
                <input asp-for="BeerName" class="form-control" />
                <span asp-validation-for="BeerName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="StyleName" class="control-label"></label>
                <select asp-for="StyleName" class="form-control" asp-items="@ViewBag.StyleList"></select>
                <span asp-validation-for="StyleName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="CountryName" class="control-label"></label>
                <select asp-for="CountryName" class="form-control" asp-items="@ViewBag.CountryList"></select>
                <span asp-validation-for="CountryName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Abv" class="control-label"></label>
                <input asp-for="Abv" class="form-control" />
                <span asp-validation-for="Abv" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Image" class="control-label"></label>
                <input asp-for="Image" class="form-control" />
                <span asp-validation-for="Image" class="text-danger"></span>
            </div>

            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
